#include <iostream>

using namespace std;

int main()
{

    int a,b,x,vege=0,t;
cin>>a>>b;
for(int i=0;i<a;i++)
{
    if(i==0)
    {
        cin>>t;
    }
    else{
    cin>>x;
    }
    if((x==b&&i!=a-1)||(t==b&&i!=a-1))
    {
        b=-1;
        cin>>vege;
        i++;
    }
}
if(vege==0)
{
    cout<<t;
}
else
    cout<<vege;
}